#!/bin/bash

cat /usr/local/sigpdv/pdvconfig.conf | grep db
psql -U postgres -l

# Função para executar um comando SQL e retornar o resultado
read -p "Digite o nome do banco: " nome_do_banco
read -p "Digite a senha do banco: " senha_do_banco

execute_sql() {
	local sql="$1"
	PGPASSWORD="$senha_do_banco" psql -U postgres -d $nome_do_banco -c "$sql" -t -A
}

# Perguntar qual a nota fiscal que deseja verificar
read -p "Digite o número da nota fiscal que deseja verificar: " nota_fiscal

# Executar o comando para obter o ID
sql="SELECT ID FROM caixa_mov_capa WHERE supcap_nro_cupom = $nota_fiscal;"
id=$(execute_sql "$sql")

if [ -z "$id" ]; then
	echo "Nenhum ID encontrado para a nota fiscal $nota_fiscal."
	exit 1
fi

echo "ID encontrado: $id"

# Perguntar qual ID deseja analisar
read -p "Digite o ID que deseja analisar: " id_analisar

# Executar o comando para obter os detalhes do corpo
sql="SELECT supcor_item, supcor_quantidade, supcor_preco_total, supcor_nome_item FROM caixa_mov_corpos WHERE supcor_capa_id = $id_analisar;"
execute_sql "$sql"

# Perguntar se deseja deletar a nota fiscal
read -p "Deseja deletar a nota fiscal $nota_fiscal? (s/n): " deletar

if [ "$deletar" = "s" ]; then
	# Executar o comando para deletar a nota fiscal
	sql="DELETE FROM caixa_mov_capa WHERE supcap_nro_cupom = $nota_fiscal;"
	execute_sql "$sql"
	echo "Nota fiscal $nota_fiscal deletada com sucesso."
else
	echo "Ação de deletar nota fiscal cancelada."
fi
